<?php
declare(strict_types=1);
namespace PpPhp\Core;

readonly class Config
{
    public function __construct(private array $items) {}
    public function get(string $key, mixed $default = null): mixed
    {
        return $this->items[$key] ?? $default;
    }
}